Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.ide
Class IDEActionFactory

    java.lang.Object
      org.eclipse.ui.ide.IDEActionFactory

public final class IDEActionFactory
extends Object

Access to standard actions provided by the IDE workbench (including those of the generic workbench).

The functionality of this class is provided by static fields. Example usage:

     MenuManager menu = ...;
     ActionFactory.IWorkbenchAction closeProjectAction
     	  = IDEActionFactory.CLOSE_PROJECT.create(window);
     menu.add(closeProjectAction);

Since:
  3.0

Field Summary
`static ActionFactory` | `ADD_TASK` IDE-specific workbench action: Add task.
`static ActionFactory` | `BOOKMARK` IDE-specific workbench action: Add bookmark.
`static ActionFactory` | `BUILD` IDE-specific workbench action: Incremental build.
`static ActionFactory` | `BUILD_AUTOMATICALLY` IDE-specific workbench action: Build automaticaly This action maintains its enablement state.
`static ActionFactory` | `BUILD_CLEAN` IDE-specific workbench action: Build clean This action maintains its enablement state.
`static ActionFactory` | `BUILD_PROJECT` IDE-specific workbench action: Incremental build.
`static ActionFactory` | `CLOSE_PROJECT` IDE-specific workbench action: Close project.
`static ActionFactory` | `NEW_WIZARD_DROP_DOWN` IDE-specific workbench action: Opens the "new" wizard drop down.
`static ActionFactory` | `OPEN_PROJECT` IDE-specific workbench action: Open project.
`static ActionFactory` | `OPEN_PROJECT_PROPERTIES` IDE-specific workbench action: Open project properties.
`static ActionFactory` | `OPEN_WORKSPACE` IDE-specific workbench action: Open workspace.
`static ActionFactory` | `QUICK_START` Deprecated. the IDE now uses the new intro mechanism
`static ActionFactory` | `REBUILD_ALL` IDE-specific workbench action: Full build.
`static ActionFactory` | `REBUILD_PROJECT` IDE-specific workbench action: Rebuild project.
`static ActionFactory` | `TIPS_AND_TRICKS` IDE-specific workbench action: Tips and tricks.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD_TASK

    public static final ActionFactory ADD_TASK

  IDE-specific workbench action: Add task. This action is a `RetargetAction` with id "addTask". This action maintains its enablement state.

### BOOKMARK

    public static final ActionFactory BOOKMARK

  IDE-specific workbench action: Add bookmark. This action is a `RetargetAction` with id "bookmark". This action maintains its enablement state.

### BUILD

    public static final ActionFactory BUILD

  IDE-specific workbench action: Incremental build. This action maintains its enablement state.

### BUILD_CLEAN

    public static final ActionFactory BUILD_CLEAN

  IDE-specific workbench action: Build clean This action maintains its enablement state.

### BUILD_AUTOMATICALLY

    public static final ActionFactory BUILD_AUTOMATICALLY

  IDE-specific workbench action: Build automaticaly This action maintains its enablement state.

### BUILD_PROJECT

    public static final ActionFactory BUILD_PROJECT

  IDE-specific workbench action: Incremental build. This action is a `RetargetAction` with id "buildProject". This action maintains its enablement state.

### CLOSE_PROJECT

    public static final ActionFactory CLOSE_PROJECT

  IDE-specific workbench action: Close project. This action is a `RetargetAction` with id "closeProject". This action maintains its enablement state.

### NEW_WIZARD_DROP_DOWN

    public static final ActionFactory NEW_WIZARD_DROP_DOWN

  IDE-specific workbench action: Opens the "new" wizard drop down. This action maintains its enablement state.

### OPEN_PROJECT

    public static final ActionFactory OPEN_PROJECT

  IDE-specific workbench action: Open project. This action is a `RetargetAction` with id "openProject". This action maintains its enablement state.

### OPEN_WORKSPACE

    public static final ActionFactory OPEN_WORKSPACE

  IDE-specific workbench action: Open workspace. This action maintains its enablement state.

### OPEN_PROJECT_PROPERTIES

    public static final ActionFactory OPEN_PROJECT_PROPERTIES

  IDE-specific workbench action: Open project properties. This action maintains its enablement state.

### QUICK_START

    public static final ActionFactory QUICK_START

  Deprecated. the IDE now uses the new intro mechanism

  IDE-specific workbench action: Quick start. This action maintains its enablement state.

### REBUILD_ALL

    public static final ActionFactory REBUILD_ALL

  IDE-specific workbench action: Full build. This action maintains its enablement state.

### REBUILD_PROJECT

    public static final ActionFactory REBUILD_PROJECT

  IDE-specific workbench action: Rebuild project. This action is a `RetargetAction` with id "rebuildProject". This action maintains its enablement state.

### TIPS_AND_TRICKS

    public static final ActionFactory TIPS_AND_TRICKS

  IDE-specific workbench action: Tips and tricks. This action maintains its enablement state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.